## cascading.flow.stream
Class CloseReducingDuct<Group,Incoming,Outgoing>

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.CloseReducingDuct<Group,Incoming,Outgoing>

All Implemented Interfaces:
  CloseWindow, Reducing<Group,Outgoing>

    public class CloseReducingDuct<Group,Incoming,Outgoing>

extends Duct<Incoming,Outgoing>
implements CloseWindow, Reducing<Group,Outgoing>

Field Summary

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`CloseReducingDuct(Duct<Outgoing,?> next)`

Method Summary
`void` `completeGroup(Duct previous, Outgoing outgoing)`
`void` `receive(Duct previous, Incoming incoming)`
`void` `startGroup(Duct previous, Group group)`

Methods inherited from class cascading.flow.stream.Duct
`bind, cleanup, complete, getNext, getNextFor, initialize, prepare, receiveFirst, start, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CloseReducingDuct

    public CloseReducingDuct(Duct<Outgoing,?> next)

Method Detail

### receive

    public void receive(Duct previous,
                        Incoming incoming)

  Specified by:
    `receive` in class `Duct<Incoming,Outgoing>`

### startGroup

    public void startGroup(Duct previous,
                           Group group)

  Specified by:
    `startGroup` in interface `Reducing<Group,Outgoing>`

### completeGroup

    public void completeGroup(Duct previous,
                              Outgoing outgoing)

  Specified by:
    `completeGroup` in interface `Reducing<Group,Outgoing>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.